@echo off

set PROJECT_ROOT=.\

set PROJECT_ROOT=.

set SRC=%PROJECT_ROOT%\src\pb\temop
set TAR=%PROJECT_ROOT%\src\pb\js

@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\*.proto
@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\notify\*.proto
@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\user\*.proto
@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\friend\*.proto
@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\pack\*.proto
@REM protoc --proto_path=%SRC% --js_out=import_style=commonjs,binary:%TAR%\. %SRC%\mail\*.proto

npx pbjs -t json-module -w commonjs -o src/pb/proto.js %SRC%\*.proto
pause